package com.fidms.web.domain;

import java.math.BigDecimal;

import com.fidms.common.annotation.Excel;
import com.fidms.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 红外输入对象 bz_infrared_input_t
 * 
 * @author Allen
 * @date 2023-05-08
 */
public class InfraredInput extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 流场输出结果编号 */
    @Excel(name = "流场输出结果编号")
    private BigDecimal flowFieldOutputId;

    /** 流场输出结果 */
    @Excel(name = "流场输出结果")
    private String flowFieldOutputPath;

    /** 表面材质 */
    @Excel(name = "表面材质")
    private BigDecimal surfaceMaterial;

    /** 红外观测距离 */
    @Excel(name = "红外观测距离")
    private BigDecimal infraredObserDist;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setFlowFieldOutputId(BigDecimal flowFieldOutputId) 
    {
        this.flowFieldOutputId = flowFieldOutputId;
    }

    public BigDecimal getFlowFieldOutputId() 
    {
        return flowFieldOutputId;
    }
    public void setFlowFieldOutputPath(String flowFieldOutputPath)
    {
        this.flowFieldOutputPath = flowFieldOutputPath;
    }

    public String getFlowFieldOutputPath()
    {
        return flowFieldOutputPath;
    }
    public void setSurfaceMaterial(BigDecimal surfaceMaterial) 
    {
        this.surfaceMaterial = surfaceMaterial;
    }

    public BigDecimal getSurfaceMaterial() 
    {
        return surfaceMaterial;
    }
    public void setInfraredObserDist(BigDecimal infraredObserDist) 
    {
        this.infraredObserDist = infraredObserDist;
    }

    public BigDecimal getInfraredObserDist() 
    {
        return infraredObserDist;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("flowFieldOutputId", getFlowFieldOutputId())
            .append("flowFieldOutputPath", getFlowFieldOutputPath())
            .append("surfaceMaterial", getSurfaceMaterial())
            .append("infraredObserDist", getInfraredObserDist())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
